Skip to main content
GET
/
v2
/
annotation-queues
/
{annotation_queue_id}
/
items
Query items from an annotation queue
curl --request GET \
  --url https://api.orq.ai/v2/annotation-queues/{annotation_queue_id}/items \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "_id": "<string>",
      "annotation_queue_id": "<string>",
      "workspace_id": "<string>",
      "span_id": "<string>",
      "type": "span",
      "used_human_review_ids": [
        "<string>"
      ]
    }
  ],
  "has_more": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

annotation_queue_id
string
required

Query Parameters

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 200, and the default is 10

Required range: 1 <= x <= 200
starting_after
string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with 01JJ1HDHN79XAS7A01WB3HYSDB, your subsequent call can include after=01JJ1HDHN79XAS7A01WB3HYSDB in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with 01JJ1HDHN79XAS7A01WB3HYSDB, your subsequent call can include before=01JJ1HDHN79XAS7A01WB3HYSDB in order to fetch the previous page of the list.

Response

200 - application/json

Annotation queue items retrieved.

items
object[]
required
has_more
boolean
required